#!/bin/bash
#
# This script checks that the current user has permission to write to entire
# directory tree given as its first parameter.  If the user can write to 
# everything at that path and below, this script returns 0.  If the user
# lacks any rights, the script returns 1.

ROOT=$1

FAIL_TOKEN="%%RIGHTS_%%_FAIL%%"

RES=`find $1 -not -exec touch "{}" \; -exec echo "${FAIL_TOKEN}" \; 2>&1`

echo $RES | grep -v "${FAIL_TOKEN}" 2>&1 > /dev/null

# grep's return code is what we want to return.
